Details
curl --request GET \
--url https://api-staging.genuka.com/2023-11/admin/warehouses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "body_html",
"handle": "handle-herzcde",
"metadata": {
"shopifyId": "id"
},
"title": "Title"
}
'import requests
url = "https://api-staging.genuka.com/2023-11/admin/warehouses/{id}"
payload = {
"content": "body_html",
"handle": "handle-herzcde",
"metadata": { "shopifyId": "id" },
"title": "Title"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'body_html',
handle: 'handle-herzcde',
metadata: {shopifyId: 'id'},
title: 'Title'
})
};
fetch('https://api-staging.genuka.com/2023-11/admin/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": null,
"company_id": "01hqydxwtxdj3kmzp3bz7jk73g",
"created_at": "2025-10-10T15:10:35.000000Z",
"deleted_at": null,
"description": "C'est la boutique de Douala",
"id": "01k77arzp50nrp5d0xnenkpy36",
"logo": null,
"logoUrl": null,
"metadata": null,
"name": "Test warehouse",
"shops": [],
"updated_at": "2025-10-10T15:10:35.000000Z"
}Warehouse
Get warehouse with id
Retrieves detailed information about a specific warehouse by its unique ID. This endpoint returns all available data related to the warehouse, including its name, location, capacity, contact details, and operational settings. It is used to view or verify warehouse information within a company.
GET
/
2023-11
/
admin
/
warehouses
/
{id}
Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Example:
"{{companyId}}"
Path Parameters
Body
application/json
Response
200 - application/json
200
Example:
"01hqydxwtxdj3kmzp3bz7jk73g"
Example:
"2025-10-10T15:10:35.000000Z"
Example:
"C'est la boutique de Douala"
Example:
"01k77arzp50nrp5d0xnenkpy36"
Example:
"Test warehouse"
Example:
[]
Example:
"2025-10-10T15:10:35.000000Z"
⌘I
